<< fft21 | FOSSEE_Signal_Processing_Toolbox | fftfilt >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > fftconv

# fftconv

Convolve two vectors using the FFT for computation

### Syntax

    y = fftconv(X, Y)
    Y = fftconv(X, Y, n)

### Parameters

x ,y :

  Input signal vectors.

y:

  Convolution result.

### Description

Convolve two vectors using the FFT for computation. c = fftconv (X, Y) returns a vector of length equal to 'length(X) + length (Y) - 1'. If X and Y are the coefficient vectors of two polynomials, the returned value is the coefficient vector of the product polynomial. If the optional argument n is specified, an N-point FFT is used.

### Examples

    fftconv([1,2,3], [3,4,5])

### See also

- fft

### Authors

- Abinash Singh (abinashlalotra@gmail.com)

Report an issue
<< fft21 | FOSSEE_Signal_Processing_Toolbox | fftfilt >>